#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CountQueuingStrategy" "\0"
  /*  2248 */ "CreateOfferRequest" "\0"
  /*  2267 */ "Credential" "\0"
  /*  2278 */ "CredentialsContainer" "\0"
  /*  2299 */ "Crypto" "\0"
  /*  2306 */ "CryptoKey" "\0"
  /*  2316 */ "CustomElementRegistry" "\0"
  /*  2338 */ "CustomEvent" "\0"
  /*  2350 */ "CustomStateSet" "\0"
  /*  2365 */ "DOMException" "\0"
  /*  2378 */ "DOMImplementation" "\0"
  /*  2396 */ "DOMLocalization" "\0"
  /*  2412 */ "DOMMatrix" "\0"
  /*  2422 */ "DOMMatrixReadOnly" "\0"
  /*  2440 */ "DOMParser" "\0"
  /*  2450 */ "DOMPoint" "\0"
  /*  2459 */ "DOMPointReadOnly" "\0"
  /*  2476 */ "DOMQuad" "\0"
  /*  2484 */ "DOMRect" "\0"
  /*  2492 */ "DOMRectList" "\0"
  /*  2504 */ "DOMRectReadOnly" "\0"
  /*  2520 */ "DOMStringList" "\0"
  /*  2534 */ "DOMStringMap" "\0"
  /*  2547 */ "DOMTokenList" "\0"
  /*  2560 */ "DataTransfer" "\0"
  /*  2573 */ "DataTransferItem" "\0"
  /*  2590 */ "DataTransferItemList" "\0"
  /*  2611 */ "DebuggerNotification" "\0"
  /*  2632 */ "DebuggerNotificationObserver" "\0"
  /*  2661 */ "DecompressionStream" "\0"
  /*  2681 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2708 */ "DelayNode" "\0"
  /*  2718 */ "DeprecationReportBody" "\0"
  /*  2740 */ "DeviceAcceleration" "\0"
  /*  2759 */ "DeviceLightEvent" "\0"
  /*  2776 */ "DeviceMotionEvent" "\0"
  /*  2794 */ "DeviceOrientationEvent" "\0"
  /*  2817 */ "DeviceRotationRate" "\0"
  /*  2836 */ "Directory" "\0"
  /*  2846 */ "Document" "\0"
  /*  2855 */ "DocumentFragment" "\0"
  /*  2872 */ "DocumentL10n" "\0"
  /*  2885 */ "DocumentTimeline" "\0"
  /*  2902 */ "DocumentType" "\0"
  /*  2915 */ "DominatorTree" "\0"
  /*  2929 */ "DragEvent" "\0"
  /*  2939 */ "DynamicsCompressorNode" "\0"
  /*  2962 */ "EXT_blend_minmax" "\0"
  /*  2979 */ "EXT_color_buffer_float" "\0"
  /*  3002 */ "EXT_color_buffer_half_float" "\0"
  /*  3030 */ "EXT_depth_clamp" "\0"
  /*  3046 */ "EXT_disjoint_timer_query" "\0"
  /*  3071 */ "EXT_float_blend" "\0"
  /*  3087 */ "EXT_frag_depth" "\0"
  /*  3102 */ "EXT_sRGB" "\0"
  /*  3111 */ "EXT_shader_texture_lod" "\0"
  /*  3134 */ "EXT_texture_compression_bptc" "\0"
  /*  3163 */ "EXT_texture_compression_rgtc" "\0"
  /*  3192 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3223 */ "EXT_texture_norm16" "\0"
  /*  3242 */ "Element" "\0"
  /*  3250 */ "ElementInternals" "\0"
  /*  3267 */ "EncodedAudioChunk" "\0"
  /*  3285 */ "EncodedVideoChunk" "\0"
  /*  3303 */ "ErrorEvent" "\0"
  /*  3314 */ "Event" "\0"
  /*  3320 */ "EventCallbackDebuggerNotification" "\0"
  /*  3354 */ "EventCounts" "\0"
  /*  3366 */ "EventSource" "\0"
  /*  3378 */ "EventTarget" "\0"
  /*  3390 */ "Exception" "\0"
  /*  3400 */ "ExtendableEvent" "\0"
  /*  3416 */ "ExtendableMessageEvent" "\0"
  /*  3439 */ "ExtensionAlarms" "\0"
  /*  3455 */ "ExtensionBrowser" "\0"
  /*  3472 */ "ExtensionBrowserSettings" "\0"
  /*  3497 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3537 */ "ExtensionDns" "\0"
  /*  3550 */ "ExtensionEventManager" "\0"
  /*  3572 */ "ExtensionMockAPI" "\0"
  /*  3589 */ "ExtensionPort" "\0"
  /*  3603 */ "ExtensionProxy" "\0"
  /*  3618 */ "ExtensionRuntime" "\0"
  /*  3635 */ "ExtensionScripting" "\0"
  /*  3654 */ "ExtensionSetting" "\0"
  /*  3671 */ "ExtensionTest" "\0"
  /*  3685 */ "External" "\0"
  /*  3694 */ "FeaturePolicy" "\0"
  /*  3708 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3741 */ "FetchEvent" "\0"
  /*  3752 */ "FetchObserver" "\0"
  /*  3766 */ "File" "\0"
  /*  3771 */ "FileList" "\0"
  /*  3780 */ "FileReader" "\0"
  /*  3791 */ "FileReaderSync" "\0"
  /*  3806 */ "FileSystem" "\0"
  /*  3817 */ "FileSystemDirectoryEntry" "\0"
  /*  3842 */ "FileSystemDirectoryHandle" "\0"
  /*  3868 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3908 */ "FileSystemDirectoryIterator" "\0"
  /*  3936 */ "FileSystemDirectoryReader" "\0"
  /*  3962 */ "FileSystemEntry" "\0"
  /*  3978 */ "FileSystemFileEntry" "\0"
  /*  3998 */ "FileSystemFileHandle" "\0"
  /*  4019 */ "FileSystemHandle" "\0"
  /*  4036 */ "FileSystemSyncAccessHandle" "\0"
  /*  4063 */ "FileSystemWritableFileStream" "\0"
  /*  4092 */ "Flex" "\0"
  /*  4097 */ "FlexItemValues" "\0"
  /*  4112 */ "FlexLineValues" "\0"
  /*  4127 */ "FluentBundle" "\0"
  /*  4140 */ "FluentBundleAsyncIterator" "\0"
  /*  4166 */ "FluentBundleIterator" "\0"
  /*  4187 */ "FluentPattern" "\0"
  /*  4201 */ "FluentResource" "\0"
  /*  4216 */ "FocusEvent" "\0"
  /*  4227 */ "FontFace" "\0"
  /*  4236 */ "FontFaceSet" "\0"
  /*  4248 */ "FontFaceSetIterator" "\0"
  /*  4268 */ "FontFaceSetLoadEvent" "\0"
  /*  4289 */ "FormData" "\0"
  /*  4298 */ "FormData Iterator" "\0"
  /*  4316 */ "FormDataEvent" "\0"
  /*  4330 */ "FragmentDirective" "\0"
  /*  4348 */ "FrameCrashedEvent" "\0"
  /*  4366 */ "FrameLoader" "\0"
  /*  4378 */ "GPU" "\0"
  /*  4382 */ "GPUAdapter" "\0"
  /*  4393 */ "GPUAdapterInfo" "\0"
  /*  4408 */ "GPUBindGroup" "\0"
  /*  4421 */ "GPUBindGroupLayout" "\0"
  /*  4440 */ "GPUBuffer" "\0"
  /*  4450 */ "GPUBufferUsage" "\0"
  /*  4465 */ "GPUCanvasContext" "\0"
  /*  4482 */ "GPUColorWrite" "\0"
  /*  4496 */ "GPUCommandBuffer" "\0"
  /*  4513 */ "GPUCommandEncoder" "\0"
  /*  4531 */ "GPUCompilationInfo" "\0"
  /*  4550 */ "GPUCompilationMessage" "\0"
  /*  4572 */ "GPUComputePassEncoder" "\0"
  /*  4594 */ "GPUComputePipeline" "\0"
  /*  4613 */ "GPUDevice" "\0"
  /*  4623 */ "GPUDeviceLostInfo" "\0"
  /*  4641 */ "GPUError" "\0"
  /*  4650 */ "GPUInternalError" "\0"
  /*  4667 */ "GPUMapMode" "\0"
  /*  4678 */ "GPUOutOfMemoryError" "\0"
  /*  4698 */ "GPUPipelineLayout" "\0"
  /*  4716 */ "GPUQuerySet" "\0"
  /*  4728 */ "GPUQueue" "\0"
  /*  4737 */ "GPURenderBundle" "\0"
  /*  4753 */ "GPURenderBundleEncoder" "\0"
  /*  4776 */ "GPURenderPassEncoder" "\0"
  /*  4797 */ "GPURenderPipeline" "\0"
  /*  4815 */ "GPUSampler" "\0"
  /*  4826 */ "GPUShaderModule" "\0"
  /*  4842 */ "GPUShaderStage" "\0"
  /*  4857 */ "GPUSupportedFeatures" "\0"
  /*  4878 */ "GPUSupportedLimits" "\0"
  /*  4897 */ "GPUTexture" "\0"
  /*  4908 */ "GPUTextureUsage" "\0"
  /*  4924 */ "GPUTextureView" "\0"
  /*  4939 */ "GPUUncapturedErrorEvent" "\0"
  /*  4963 */ "GPUValidationError" "\0"
  /*  4982 */ "GainNode" "\0"
  /*  4991 */ "Gamepad" "\0"
  /*  4999 */ "GamepadAxisMoveEvent" "\0"
  /*  5020 */ "GamepadButton" "\0"
  /*  5034 */ "GamepadButtonEvent" "\0"
  /*  5053 */ "GamepadEvent" "\0"
  /*  5066 */ "GamepadHapticActuator" "\0"
  /*  5088 */ "GamepadLightIndicator" "\0"
  /*  5110 */ "GamepadPose" "\0"
  /*  5122 */ "GamepadServiceTest" "\0"
  /*  5141 */ "GamepadTouch" "\0"
  /*  5154 */ "Geolocation" "\0"
  /*  5166 */ "GeolocationCoordinates" "\0"
  /*  5189 */ "GeolocationPosition" "\0"
  /*  5209 */ "GeolocationPositionError" "\0"
  /*  5234 */ "GetUserMediaRequest" "\0"
  /*  5254 */ "GleanBoolean" "\0"
  /*  5267 */ "GleanCategory" "\0"
  /*  5281 */ "GleanCounter" "\0"
  /*  5294 */ "GleanCustomDistribution" "\0"
  /*  5318 */ "GleanDatetime" "\0"
  /*  5332 */ "GleanDenominator" "\0"
  /*  5349 */ "GleanEvent" "\0"
  /*  5360 */ "GleanImpl" "\0"
  /*  5370 */ "GleanLabeled" "\0"
  /*  5383 */ "GleanMemoryDistribution" "\0"
  /*  5407 */ "GleanMetric" "\0"
  /*  5419 */ "GleanNumerator" "\0"
  /*  5434 */ "GleanObject" "\0"
  /*  5446 */ "GleanPingsImpl" "\0"
  /*  5461 */ "GleanQuantity" "\0"
  /*  5475 */ "GleanRate" "\0"
  /*  5485 */ "GleanString" "\0"
  /*  5497 */ "GleanStringList" "\0"
  /*  5513 */ "GleanText" "\0"
  /*  5523 */ "GleanTimespan" "\0"
  /*  5537 */ "GleanTimingDistribution" "\0"
  /*  5561 */ "GleanUrl" "\0"
  /*  5570 */ "GleanUuid" "\0"
  /*  5580 */ "Grid" "\0"
  /*  5585 */ "GridArea" "\0"
  /*  5594 */ "GridDimension" "\0"
  /*  5608 */ "GridLine" "\0"
  /*  5617 */ "GridLines" "\0"
  /*  5627 */ "GridTrack" "\0"
  /*  5637 */ "GridTracks" "\0"
  /*  5648 */ "HTMLAllCollection" "\0"
  /*  5666 */ "HTMLAnchorElement" "\0"
  /*  5684 */ "HTMLAreaElement" "\0"
  /*  5700 */ "HTMLAudioElement" "\0"
  /*  5717 */ "HTMLBRElement" "\0"
  /*  5731 */ "HTMLBaseElement" "\0"
  /*  5747 */ "HTMLBodyElement" "\0"
  /*  5763 */ "HTMLButtonElement" "\0"
  /*  5781 */ "HTMLCanvasElement" "\0"
  /*  5799 */ "HTMLCollection" "\0"
  /*  5814 */ "HTMLDListElement" "\0"
  /*  5831 */ "HTMLDataElement" "\0"
  /*  5847 */ "HTMLDataListElement" "\0"
  /*  5867 */ "HTMLDetailsElement" "\0"
  /*  5886 */ "HTMLDialogElement" "\0"
  /*  5904 */ "HTMLDirectoryElement" "\0"
  /*  5925 */ "HTMLDivElement" "\0"
  /*  5940 */ "HTMLDocument" "\0"
  /*  5953 */ "HTMLElement" "\0"
  /*  5965 */ "HTMLEmbedElement" "\0"
  /*  5982 */ "HTMLFieldSetElement" "\0"
  /*  6002 */ "HTMLFontElement" "\0"
  /*  6018 */ "HTMLFormControlsCollection" "\0"
  /*  6045 */ "HTMLFormElement" "\0"
  /*  6061 */ "HTMLFrameElement" "\0"
  /*  6078 */ "HTMLFrameSetElement" "\0"
  /*  6098 */ "HTMLHRElement" "\0"
  /*  6112 */ "HTMLHeadElement" "\0"
  /*  6128 */ "HTMLHeadingElement" "\0"
  /*  6147 */ "HTMLHtmlElement" "\0"
  /*  6163 */ "HTMLIFrameElement" "\0"
  /*  6181 */ "HTMLImageElement" "\0"
  /*  6198 */ "HTMLInputElement" "\0"
  /*  6215 */ "HTMLLIElement" "\0"
  /*  6229 */ "HTMLLabelElement" "\0"
  /*  6246 */ "HTMLLegendElement" "\0"
  /*  6264 */ "HTMLLinkElement" "\0"
  /*  6280 */ "HTMLMapElement" "\0"
  /*  6295 */ "HTMLMarqueeElement" "\0"
  /*  6314 */ "HTMLMediaElement" "\0"
  /*  6331 */ "HTMLMenuElement" "\0"
  /*  6347 */ "HTMLMetaElement" "\0"
  /*  6363 */ "HTMLMeterElement" "\0"
  /*  6380 */ "HTMLModElement" "\0"
  /*  6395 */ "HTMLOListElement" "\0"
  /*  6412 */ "HTMLObjectElement" "\0"
  /*  6430 */ "HTMLOptGroupElement" "\0"
  /*  6450 */ "HTMLOptionElement" "\0"
  /*  6468 */ "HTMLOptionsCollection" "\0"
  /*  6490 */ "HTMLOutputElement" "\0"
  /*  6508 */ "HTMLParagraphElement" "\0"
  /*  6529 */ "HTMLParamElement" "\0"
  /*  6546 */ "HTMLPictureElement" "\0"
  /*  6565 */ "HTMLPreElement" "\0"
  /*  6580 */ "HTMLProgressElement" "\0"
  /*  6600 */ "HTMLQuoteElement" "\0"
  /*  6617 */ "HTMLScriptElement" "\0"
  /*  6635 */ "HTMLSelectElement" "\0"
  /*  6653 */ "HTMLSlotElement" "\0"
  /*  6669 */ "HTMLSourceElement" "\0"
  /*  6687 */ "HTMLSpanElement" "\0"
  /*  6703 */ "HTMLStyleElement" "\0"
  /*  6720 */ "HTMLTableCaptionElement" "\0"
  /*  6744 */ "HTMLTableCellElement" "\0"
  /*  6765 */ "HTMLTableColElement" "\0"
  /*  6785 */ "HTMLTableElement" "\0"
  /*  6802 */ "HTMLTableRowElement" "\0"
  /*  6822 */ "HTMLTableSectionElement" "\0"
  /*  6846 */ "HTMLTemplateElement" "\0"
  /*  6866 */ "HTMLTextAreaElement" "\0"
  /*  6886 */ "HTMLTimeElement" "\0"
  /*  6902 */ "HTMLTitleElement" "\0"
  /*  6919 */ "HTMLTrackElement" "\0"
  /*  6936 */ "HTMLUListElement" "\0"
  /*  6953 */ "HTMLUnknownElement" "\0"
  /*  6972 */ "HTMLVideoElement" "\0"
  /*  6989 */ "HashChangeEvent" "\0"
  /*  7005 */ "Headers" "\0"
  /*  7013 */ "Headers Iterator" "\0"
  /*  7030 */ "HeapSnapshot" "\0"
  /*  7043 */ "Highlight" "\0"
  /*  7053 */ "HighlightRegistry" "\0"
  /*  7071 */ "History" "\0"
  /*  7079 */ "IDBCursor" "\0"
  /*  7089 */ "IDBCursorWithValue" "\0"
  /*  7108 */ "IDBDatabase" "\0"
  /*  7120 */ "IDBFactory" "\0"
  /*  7131 */ "IDBIndex" "\0"
  /*  7140 */ "IDBKeyRange" "\0"
  /*  7152 */ "IDBObjectStore" "\0"
  /*  7167 */ "IDBOpenDBRequest" "\0"
  /*  7184 */ "IDBRequest" "\0"
  /*  7195 */ "IDBTransaction" "\0"
  /*  7210 */ "IDBVersionChangeEvent" "\0"
  /*  7232 */ "IIRFilterNode" "\0"
  /*  7246 */ "IOUtils" "\0"
  /*  7254 */ "IdentityCredential" "\0"
  /*  7273 */ "IdleDeadline" "\0"
  /*  7286 */ "Image" "\0"
  /*  7292 */ "ImageBitmap" "\0"
  /*  7304 */ "ImageBitmapRenderingContext" "\0"
  /*  7332 */ "ImageCapture" "\0"
  /*  7345 */ "ImageCaptureError" "\0"
  /*  7363 */ "ImageCaptureErrorEvent" "\0"
  /*  7386 */ "ImageData" "\0"
  /*  7396 */ "ImageDecoder" "\0"
  /*  7409 */ "ImageDocument" "\0"
  /*  7423 */ "ImageTrack" "\0"
  /*  7434 */ "ImageTrackList" "\0"
  /*  7449 */ "InputEvent" "\0"
  /*  7460 */ "InspectorCSSParser" "\0"
  /*  7479 */ "InspectorFontFace" "\0"
  /*  7497 */ "InspectorUtils" "\0"
  /*  7512 */ "InstallTriggerImpl" "\0"
  /*  7531 */ "IntersectionObserver" "\0"
  /*  7552 */ "IntersectionObserverEntry" "\0"
  /*  7578 */ "IntlUtils" "\0"
  /*  7588 */ "InvokeEvent" "\0"
  /*  7600 */ "JSProcessActorChild" "\0"
  /*  7620 */ "JSProcessActorParent" "\0"
  /*  7641 */ "JSWindowActorChild" "\0"
  /*  7660 */ "JSWindowActorParent" "\0"
  /*  7680 */ "KeyEvent" "\0"
  /*  7689 */ "KeyboardEvent" "\0"
  /*  7703 */ "KeyframeEffect" "\0"
  /*  7718 */ "L10nFileSource" "\0"
  /*  7733 */ "L10nOverlays" "\0"
  /*  7746 */ "L10nRegistry" "\0"
  /*  7759 */ "LargestContentfulPaint" "\0"
  /*  7782 */ "LegacyMozTCPSocket" "\0"
  /*  7801 */ "Localization" "\0"
  /*  7814 */ "Location" "\0"
  /*  7823 */ "Lock" "\0"
  /*  7828 */ "LockManager" "\0"
  /*  7840 */ "MIDIAccess" "\0"
  /*  7851 */ "MIDIConnectionEvent" "\0"
  /*  7871 */ "MIDIInput" "\0"
  /*  7881 */ "MIDIInputMap" "\0"
  /*  7894 */ "MIDIMessageEvent" "\0"
  /*  7911 */ "MIDIOutput" "\0"
  /*  7922 */ "MIDIOutputMap" "\0"
  /*  7936 */ "MIDIPort" "\0"
  /*  7945 */ "MOZ_debug" "\0"
  /*  7955 */ "MatchGlob" "\0"
  /*  7965 */ "MatchPattern" "\0"
  /*  7978 */ "MatchPatternSet" "\0"
  /*  7994 */ "MathMLElement" "\0"
  /*  8008 */ "MediaCapabilities" "\0"
  /*  8026 */ "MediaControlService" "\0"
  /*  8046 */ "MediaController" "\0"
  /*  8062 */ "MediaDeviceInfo" "\0"
  /*  8078 */ "MediaDevices" "\0"
  /*  8091 */ "MediaElementAudioSourceNode" "\0"
  /*  8119 */ "MediaEncryptedEvent" "\0"
  /*  8139 */ "MediaError" "\0"
  /*  8150 */ "MediaKeyError" "\0"
  /*  8164 */ "MediaKeyMessageEvent" "\0"
  /*  8185 */ "MediaKeySession" "\0"
  /*  8201 */ "MediaKeyStatusMap" "\0"
  /*  8219 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8246 */ "MediaKeySystemAccess" "\0"
  /*  8267 */ "MediaKeys" "\0"
  /*  8277 */ "MediaList" "\0"
  /*  8287 */ "MediaMetadata" "\0"
  /*  8301 */ "MediaQueryList" "\0"
  /*  8316 */ "MediaQueryListEvent" "\0"
  /*  8336 */ "MediaRecorder" "\0"
  /*  8350 */ "MediaRecorderErrorEvent" "\0"
  /*  8374 */ "MediaSession" "\0"
  /*  8387 */ "MediaSource" "\0"
  /*  8399 */ "MediaStream" "\0"
  /*  8411 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8443 */ "MediaStreamAudioSourceNode" "\0"
  /*  8470 */ "MediaStreamError" "\0"
  /*  8487 */ "MediaStreamEvent" "\0"
  /*  8504 */ "MediaStreamTrack" "\0"
  /*  8521 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8553 */ "MediaStreamTrackEvent" "\0"
  /*  8575 */ "MerchantValidationEvent" "\0"
  /*  8599 */ "MessageBroadcaster" "\0"
  /*  8618 */ "MessageChannel" "\0"
  /*  8633 */ "MessageEvent" "\0"
  /*  8646 */ "MessageListenerManager" "\0"
  /*  8669 */ "MessagePort" "\0"
  /*  8681 */ "MessageSender" "\0"
  /*  8695 */ "MimeType" "\0"
  /*  8704 */ "MimeTypeArray" "\0"
  /*  8718 */ "MouseEvent" "\0"
  /*  8729 */ "MouseScrollEvent" "\0"
  /*  8746 */ "MozCanvasPrintState" "\0"
  /*  8766 */ "MozDocumentMatcher" "\0"
  /*  8785 */ "MozDocumentObserver" "\0"
  /*  8805 */ "MozQueryInterface" "\0"
  /*  8823 */ "MozSharedMap" "\0"
  /*  8836 */ "MozSharedMap Iterator" "\0"
  /*  8858 */ "MozSharedMapChangeEvent" "\0"
  /*  8882 */ "MozStorageAsyncStatementParams" "\0"
  /*  8913 */ "MozStorageStatementParams" "\0"
  /*  8939 */ "MozStorageStatementRow" "\0"
  /*  8962 */ "MozWritableSharedMap" "\0"
  /*  8983 */ "MutationEvent" "\0"
  /*  8997 */ "MutationObserver" "\0"
  /*  9014 */ "MutationRecord" "\0"
  /*  9029 */ "NamedNodeMap" "\0"
  /*  9042 */ "NavigateEvent" "\0"
  /*  9056 */ "Navigation" "\0"
  /*  9067 */ "NavigationActivation" "\0"
  /*  9088 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9122 */ "NavigationDestination" "\0"
  /*  9144 */ "NavigationHistoryEntry" "\0"
  /*  9167 */ "NavigationPreloadManager" "\0"
  /*  9192 */ "NavigationTransition" "\0"
  /*  9213 */ "Navigator" "\0"
  /*  9223 */ "NetworkInformation" "\0"
  /*  9242 */ "Node" "\0"
  /*  9247 */ "NodeFilter" "\0"
  /*  9258 */ "NodeIterator" "\0"
  /*  9271 */ "NodeList" "\0"
  /*  9280 */ "Notification" "\0"
  /*  9293 */ "NotificationEvent" "\0"
  /*  9311 */ "NotifyPaintEvent" "\0"
  /*  9328 */ "OES_draw_buffers_indexed" "\0"
  /*  9353 */ "OES_element_index_uint" "\0"
  /*  9376 */ "OES_fbo_render_mipmap" "\0"
  /*  9398 */ "OES_standard_derivatives" "\0"
  /*  9423 */ "OES_texture_float" "\0"
  /*  9441 */ "OES_texture_float_linear" "\0"
  /*  9466 */ "OES_texture_half_float" "\0"
  /*  9489 */ "OES_texture_half_float_linear" "\0"
  /*  9519 */ "OES_vertex_array_object" "\0"
  /*  9543 */ "OVR_multiview2" "\0"
  /*  9558 */ "OfflineAudioCompletionEvent" "\0"
  /*  9586 */ "OfflineAudioContext" "\0"
  /*  9606 */ "OffscreenCanvas" "\0"
  /*  9622 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9656 */ "Option" "\0"
  /*  9663 */ "OscillatorNode" "\0"
  /*  9678 */ "PageTransitionEvent" "\0"
  /*  9698 */ "PaintRequest" "\0"
  /*  9711 */ "PaintRequestList" "\0"
  /*  9728 */ "PaintWorkletGlobalScope" "\0"
  /*  9752 */ "PannerNode" "\0"
  /*  9763 */ "ParentProcessMessageManager" "\0"
  /*  9791 */ "Path2D" "\0"
  /*  9798 */ "PathUtils" "\0"
  /*  9808 */ "PaymentAddress" "\0"
  /*  9823 */ "PaymentMethodChangeEvent" "\0"
  /*  9848 */ "PaymentRequest" "\0"
  /*  9863 */ "PaymentRequestUpdateEvent" "\0"
  /*  9889 */ "PaymentResponse" "\0"
  /*  9905 */ "PeerConnectionImpl" "\0"
  /*  9924 */ "PeerConnectionObserver" "\0"
  /*  9947 */ "Performance" "\0"
  /*  9959 */ "PerformanceEntry" "\0"
  /*  9976 */ "PerformanceEntryEvent" "\0"
  /*  9998 */ "PerformanceEventTiming" "\0"
  /* 10021 */ "PerformanceMark" "\0"
  /* 10037 */ "PerformanceMeasure" "\0"
  /* 10056 */ "PerformanceNavigation" "\0"
  /* 10078 */ "PerformanceNavigationTiming" "\0"
  /* 10106 */ "PerformanceObserver" "\0"
  /* 10126 */ "PerformanceObserverEntryList" "\0"
  /* 10155 */ "PerformancePaintTiming" "\0"
  /* 10178 */ "PerformanceResourceTiming" "\0"
  /* 10204 */ "PerformanceServerTiming" "\0"
  /* 10228 */ "PerformanceTiming" "\0"
  /* 10246 */ "PeriodicWave" "\0"
  /* 10259 */ "PermissionStatus" "\0"
  /* 10276 */ "Permissions" "\0"
  /* 10288 */ "PlacesBookmark" "\0"
  /* 10303 */ "PlacesBookmarkAddition" "\0"
  /* 10326 */ "PlacesBookmarkChanged" "\0"
  /* 10348 */ "PlacesBookmarkGuid" "\0"
  /* 10367 */ "PlacesBookmarkKeyword" "\0"
  /* 10389 */ "PlacesBookmarkMoved" "\0"
  /* 10409 */ "PlacesBookmarkRemoved" "\0"
  /* 10431 */ "PlacesBookmarkTags" "\0"
  /* 10450 */ "PlacesBookmarkTime" "\0"
  /* 10469 */ "PlacesBookmarkTitle" "\0"
  /* 10489 */ "PlacesBookmarkUrl" "\0"
  /* 10507 */ "PlacesEvent" "\0"
  /* 10519 */ "PlacesEventCounts" "\0"
  /* 10537 */ "PlacesFavicon" "\0"
  /* 10551 */ "PlacesHistoryCleared" "\0"
  /* 10572 */ "PlacesObservers" "\0"
  /* 10588 */ "PlacesPurgeCaches" "\0"
  /* 10606 */ "PlacesRanking" "\0"
  /* 10620 */ "PlacesVisit" "\0"
  /* 10632 */ "PlacesVisitRemoved" "\0"
  /* 10651 */ "PlacesVisitTitle" "\0"
  /* 10668 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10694 */ "Plugin" "\0"
  /* 10701 */ "PluginArray" "\0"
  /* 10713 */ "PluginCrashedEvent" "\0"
  /* 10732 */ "PointerEvent" "\0"
  /* 10745 */ "PopStateEvent" "\0"
  /* 10759 */ "PopupBlockedEvent" "\0"
  /* 10777 */ "PopupPositionedEvent" "\0"
  /* 10798 */ "PositionStateEvent" "\0"
  /* 10817 */ "PrecompiledScript" "\0"
  /* 10835 */ "PrivateAttribution" "\0"
  /* 10854 */ "ProcessMessageManager" "\0"
  /* 10876 */ "ProcessingInstruction" "\0"
  /* 10898 */ "ProgressEvent" "\0"
  /* 10912 */ "PromiseDebugging" "\0"
  /* 10929 */ "PromiseNativeHandler" "\0"
  /* 10950 */ "PromiseRejectionEvent" "\0"
  /* 10972 */ "PublicKeyCredential" "\0"
  /* 10992 */ "PushEvent" "\0"
  /* 11002 */ "PushManager" "\0"
  /* 11014 */ "PushManagerImpl" "\0"
  /* 11030 */ "PushMessageData" "\0"
  /* 11046 */ "PushSubscription" "\0"
  /* 11063 */ "PushSubscriptionOptions" "\0"
  /* 11087 */ "RTCCertificate" "\0"
  /* 11102 */ "RTCDTMFSender" "\0"
  /* 11116 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11139 */ "RTCDataChannel" "\0"
  /* 11154 */ "RTCDataChannelEvent" "\0"
  /* 11174 */ "RTCDtlsTransport" "\0"
  /* 11191 */ "RTCEncodedAudioFrame" "\0"
  /* 11212 */ "RTCEncodedVideoFrame" "\0"
  /* 11233 */ "RTCIceCandidate" "\0"
  /* 11249 */ "RTCIceTransport" "\0"
  /* 11265 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11294 */ "RTCPeerConnection" "\0"
  /* 11312 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11338 */ "RTCPeerConnectionStatic" "\0"
  /* 11362 */ "RTCRtpReceiver" "\0"
  /* 11377 */ "RTCRtpScriptTransform" "\0"
  /* 11399 */ "RTCRtpScriptTransformer" "\0"
  /* 11423 */ "RTCRtpSender" "\0"
  /* 11436 */ "RTCRtpTransceiver" "\0"
  /* 11454 */ "RTCSctpTransport" "\0"
  /* 11471 */ "RTCSessionDescription" "\0"
  /* 11493 */ "RTCStatsReport" "\0"
  /* 11508 */ "RTCTrackEvent" "\0"
  /* 11522 */ "RTCTransformEvent" "\0"
  /* 11540 */ "RadioNodeList" "\0"
  /* 11554 */ "Range" "\0"
  /* 11560 */ "ReadableByteStreamController" "\0"
  /* 11589 */ "ReadableStream" "\0"
  /* 11604 */ "ReadableStream AsyncIterator" "\0"
  /* 11633 */ "ReadableStreamBYOBReader" "\0"
  /* 11658 */ "ReadableStreamBYOBRequest" "\0"
  /* 11684 */ "ReadableStreamDefaultController" "\0"
  /* 11716 */ "ReadableStreamDefaultReader" "\0"
  /* 11744 */ "Report" "\0"
  /* 11751 */ "ReportBody" "\0"
  /* 11762 */ "ReportingObserver" "\0"
  /* 11780 */ "Request" "\0"
  /* 11788 */ "ResizeObserver" "\0"
  /* 11803 */ "ResizeObserverEntry" "\0"
  /* 11823 */ "ResizeObserverSize" "\0"
  /* 11842 */ "Response" "\0"
  /* 11851 */ "SVGAElement" "\0"
  /* 11863 */ "SVGAngle" "\0"
  /* 11872 */ "SVGAnimateElement" "\0"
  /* 11890 */ "SVGAnimateMotionElement" "\0"
  /* 11914 */ "SVGAnimateTransformElement" "\0"
  /* 11941 */ "SVGAnimatedAngle" "\0"
  /* 11958 */ "SVGAnimatedBoolean" "\0"
  /* 11977 */ "SVGAnimatedEnumeration" "\0"
  /* 12000 */ "SVGAnimatedInteger" "\0"
  /* 12019 */ "SVGAnimatedLength" "\0"
  /* 12037 */ "SVGAnimatedLengthList" "\0"
  /* 12059 */ "SVGAnimatedNumber" "\0"
  /* 12077 */ "SVGAnimatedNumberList" "\0"
  /* 12099 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12130 */ "SVGAnimatedRect" "\0"
  /* 12146 */ "SVGAnimatedString" "\0"
  /* 12164 */ "SVGAnimatedTransformList" "\0"
  /* 12189 */ "SVGAnimationElement" "\0"
  /* 12209 */ "SVGCircleElement" "\0"
  /* 12226 */ "SVGClipPathElement" "\0"
  /* 12245 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12281 */ "SVGDefsElement" "\0"
  /* 12296 */ "SVGDescElement" "\0"
  /* 12311 */ "SVGElement" "\0"
  /* 12322 */ "SVGEllipseElement" "\0"
  /* 12340 */ "SVGFEBlendElement" "\0"
  /* 12358 */ "SVGFEColorMatrixElement" "\0"
  /* 12382 */ "SVGFEComponentTransferElement" "\0"
  /* 12412 */ "SVGFECompositeElement" "\0"
  /* 12434 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12461 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12489 */ "SVGFEDisplacementMapElement" "\0"
  /* 12517 */ "SVGFEDistantLightElement" "\0"
  /* 12542 */ "SVGFEDropShadowElement" "\0"
  /* 12565 */ "SVGFEFloodElement" "\0"
  /* 12583 */ "SVGFEFuncAElement" "\0"
  /* 12601 */ "SVGFEFuncBElement" "\0"
  /* 12619 */ "SVGFEFuncGElement" "\0"
  /* 12637 */ "SVGFEFuncRElement" "\0"
  /* 12655 */ "SVGFEGaussianBlurElement" "\0"
  /* 12680 */ "SVGFEImageElement" "\0"
  /* 12698 */ "SVGFEMergeElement" "\0"
  /* 12716 */ "SVGFEMergeNodeElement" "\0"
  /* 12738 */ "SVGFEMorphologyElement" "\0"
  /* 12761 */ "SVGFEOffsetElement" "\0"
  /* 12780 */ "SVGFEPointLightElement" "\0"
  /* 12803 */ "SVGFESpecularLightingElement" "\0"
  /* 12832 */ "SVGFESpotLightElement" "\0"
  /* 12854 */ "SVGFETileElement" "\0"
  /* 12871 */ "SVGFETurbulenceElement" "\0"
  /* 12894 */ "SVGFilterElement" "\0"
  /* 12911 */ "SVGForeignObjectElement" "\0"
  /* 12935 */ "SVGGElement" "\0"
  /* 12947 */ "SVGGeometryElement" "\0"
  /* 12966 */ "SVGGradientElement" "\0"
  /* 12985 */ "SVGGraphicsElement" "\0"
  /* 13004 */ "SVGImageElement" "\0"
  /* 13020 */ "SVGLength" "\0"
  /* 13030 */ "SVGLengthList" "\0"
  /* 13044 */ "SVGLineElement" "\0"
  /* 13059 */ "SVGLinearGradientElement" "\0"
  /* 13084 */ "SVGMPathElement" "\0"
  /* 13100 */ "SVGMarkerElement" "\0"
  /* 13117 */ "SVGMaskElement" "\0"
  /* 13132 */ "SVGMatrix" "\0"
  /* 13142 */ "SVGMetadataElement" "\0"
  /* 13161 */ "SVGNumber" "\0"
  /* 13171 */ "SVGNumberList" "\0"
  /* 13185 */ "SVGPathElement" "\0"
  /* 13200 */ "SVGPatternElement" "\0"
  /* 13218 */ "SVGPoint" "\0"
  /* 13227 */ "SVGPointList" "\0"
  /* 13240 */ "SVGPolygonElement" "\0"
  /* 13258 */ "SVGPolylineElement" "\0"
  /* 13277 */ "SVGPreserveAspectRatio" "\0"
  /* 13300 */ "SVGRadialGradientElement" "\0"
  /* 13325 */ "SVGRect" "\0"
  /* 13333 */ "SVGRectElement" "\0"
  /* 13348 */ "SVGSVGElement" "\0"
  /* 13362 */ "SVGScriptElement" "\0"
  /* 13379 */ "SVGSetElement" "\0"
  /* 13393 */ "SVGStopElement" "\0"
  /* 13408 */ "SVGStringList" "\0"
  /* 13422 */ "SVGStyleElement" "\0"
  /* 13438 */ "SVGSwitchElement" "\0"
  /* 13455 */ "SVGSymbolElement" "\0"
  /* 13472 */ "SVGTSpanElement" "\0"
  /* 13488 */ "SVGTextContentElement" "\0"
  /* 13510 */ "SVGTextElement" "\0"
  /* 13525 */ "SVGTextPathElement" "\0"
  /* 13544 */ "SVGTextPositioningElement" "\0"
  /* 13570 */ "SVGTitleElement" "\0"
  /* 13586 */ "SVGTransform" "\0"
  /* 13599 */ "SVGTransformList" "\0"
  /* 13616 */ "SVGUnitTypes" "\0"
  /* 13629 */ "SVGUseElement" "\0"
  /* 13643 */ "SVGViewElement" "\0"
  /* 13658 */ "Sanitizer" "\0"
  /* 13668 */ "Scheduler" "\0"
  /* 13678 */ "Screen" "\0"
  /* 13685 */ "ScreenLuminance" "\0"
  /* 13701 */ "ScreenOrientation" "\0"
  /* 13719 */ "ScriptProcessorNode" "\0"
  /* 13739 */ "ScrollAreaEvent" "\0"
  /* 13755 */ "ScrollViewChangeEvent" "\0"
  /* 13777 */ "SecurityPolicyViolationEvent" "\0"
  /* 13806 */ "Selection" "\0"
  /* 13816 */ "ServiceWorker" "\0"
  /* 13830 */ "ServiceWorkerContainer" "\0"
  /* 13853 */ "ServiceWorkerGlobalScope" "\0"
  /* 13878 */ "ServiceWorkerRegistration" "\0"
  /* 13904 */ "SessionStoreFormData" "\0"
  /* 13925 */ "SessionStoreScrollData" "\0"
  /* 13948 */ "SessionStoreUtils" "\0"
  /* 13966 */ "ShadowRealmGlobalScope" "\0"
  /* 13989 */ "ShadowRoot" "\0"
  /* 14000 */ "SharedWorker" "\0"
  /* 14013 */ "SharedWorkerGlobalScope" "\0"
  /* 14037 */ "SimpleGestureEvent" "\0"
  /* 14056 */ "SourceBuffer" "\0"
  /* 14069 */ "SourceBufferList" "\0"
  /* 14086 */ "SpeechGrammar" "\0"
  /* 14100 */ "SpeechGrammarList" "\0"
  /* 14118 */ "SpeechRecognition" "\0"
  /* 14136 */ "SpeechRecognitionAlternative" "\0"
  /* 14165 */ "SpeechRecognitionError" "\0"
  /* 14188 */ "SpeechRecognitionEvent" "\0"
  /* 14211 */ "SpeechRecognitionResult" "\0"
  /* 14235 */ "SpeechRecognitionResultList" "\0"
  /* 14263 */ "SpeechSynthesis" "\0"
  /* 14279 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14305 */ "SpeechSynthesisEvent" "\0"
  /* 14326 */ "SpeechSynthesisUtterance" "\0"
  /* 14351 */ "SpeechSynthesisVoice" "\0"
  /* 14372 */ "StaticRange" "\0"
  /* 14384 */ "StereoPannerNode" "\0"
  /* 14401 */ "Storage" "\0"
  /* 14409 */ "StorageEvent" "\0"
  /* 14422 */ "StorageManager" "\0"
  /* 14437 */ "StreamFilter" "\0"
  /* 14450 */ "StreamFilterDataEvent" "\0"
  /* 14472 */ "StructuredCloneHolder" "\0"
  /* 14494 */ "StructuredCloneTester" "\0"
  /* 14516 */ "StyleSheet" "\0"
  /* 14527 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14564 */ "StyleSheetList" "\0"
  /* 14579 */ "StyleSheetRemovedEvent" "\0"
  /* 14602 */ "SubmitEvent" "\0"
  /* 14614 */ "SubtleCrypto" "\0"
  /* 14627 */ "SyncMessageSender" "\0"
  /* 14645 */ "SyncReadFile" "\0"
  /* 14658 */ "TCPServerSocket" "\0"
  /* 14674 */ "TCPServerSocketEvent" "\0"
  /* 14695 */ "TCPSocket" "\0"
  /* 14705 */ "TCPSocketErrorEvent" "\0"
  /* 14725 */ "TCPSocketEvent" "\0"
  /* 14740 */ "TaskController" "\0"
  /* 14755 */ "TaskPriorityChangeEvent" "\0"
  /* 14779 */ "TaskSignal" "\0"
  /* 14790 */ "TelemetryStopwatch" "\0"
  /* 14809 */ "TestUtils" "\0"
  /* 14819 */ "TestingDeprecatedInterface" "\0"
  /* 14846 */ "Text" "\0"
  /* 14851 */ "TextClause" "\0"
  /* 14862 */ "TextDecoder" "\0"
  /* 14874 */ "TextDecoderStream" "\0"
  /* 14892 */ "TextEncoder" "\0"
  /* 14904 */ "TextEncoderStream" "\0"
  /* 14922 */ "TextEvent" "\0"
  /* 14932 */ "TextMetrics" "\0"
  /* 14944 */ "TextTrack" "\0"
  /* 14954 */ "TextTrackCue" "\0"
  /* 14967 */ "TextTrackCueList" "\0"
  /* 14984 */ "TextTrackList" "\0"
  /* 14998 */ "TimeEvent" "\0"
  /* 15008 */ "TimeRanges" "\0"
  /* 15019 */ "ToggleEvent" "\0"
  /* 15031 */ "Touch" "\0"
  /* 15037 */ "TouchEvent" "\0"
  /* 15048 */ "TouchList" "\0"
  /* 15058 */ "TrackEvent" "\0"
  /* 15069 */ "TransformStream" "\0"
  /* 15085 */ "TransformStreamDefaultController" "\0"
  /* 15118 */ "TransitionEvent" "\0"
  /* 15134 */ "TreeColumn" "\0"
  /* 15145 */ "TreeColumns" "\0"
  /* 15157 */ "TreeContentView" "\0"
  /* 15173 */ "TreeWalker" "\0"
  /* 15184 */ "TrustedHTML" "\0"
  /* 15196 */ "TrustedScript" "\0"
  /* 15210 */ "TrustedScriptURL" "\0"
  /* 15227 */ "TrustedTypePolicy" "\0"
  /* 15245 */ "TrustedTypePolicyFactory" "\0"
  /* 15270 */ "UDPMessageEvent" "\0"
  /* 15286 */ "UDPSocket" "\0"
  /* 15296 */ "UIEvent" "\0"
  /* 15304 */ "URL" "\0"
  /* 15308 */ "URLSearchParams" "\0"
  /* 15324 */ "URLSearchParams Iterator" "\0"
  /* 15349 */ "UniFFIPointer" "\0"
  /* 15363 */ "UniFFIScaffolding" "\0"
  /* 15381 */ "UserActivation" "\0"
  /* 15396 */ "UserInteraction" "\0"
  /* 15412 */ "UserProximityEvent" "\0"
  /* 15431 */ "VRDisplay" "\0"
  /* 15441 */ "VRDisplayCapabilities" "\0"
  /* 15463 */ "VRDisplayEvent" "\0"
  /* 15478 */ "VREyeParameters" "\0"
  /* 15494 */ "VRFieldOfView" "\0"
  /* 15508 */ "VRFrameData" "\0"
  /* 15520 */ "VRMockController" "\0"
  /* 15537 */ "VRMockDisplay" "\0"
  /* 15551 */ "VRPose" "\0"
  /* 15558 */ "VRServiceTest" "\0"
  /* 15572 */ "VRStageParameters" "\0"
  /* 15590 */ "VTTCue" "\0"
  /* 15597 */ "VTTRegion" "\0"
  /* 15607 */ "ValidityState" "\0"
  /* 15621 */ "VideoColorSpace" "\0"
  /* 15637 */ "VideoDecoder" "\0"
  /* 15650 */ "VideoEncoder" "\0"
  /* 15663 */ "VideoFrame" "\0"
  /* 15674 */ "VideoPlaybackQuality" "\0"
  /* 15695 */ "VideoTrack" "\0"
  /* 15706 */ "VideoTrackList" "\0"
  /* 15721 */ "ViewTransition" "\0"
  /* 15736 */ "VisualViewport" "\0"
  /* 15751 */ "WEBGL_color_buffer_float" "\0"
  /* 15776 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15806 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15835 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15865 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15896 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15926 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15961 */ "WEBGL_debug_renderer_info" "\0"
  /* 15987 */ "WEBGL_debug_shaders" "\0"
  /* 16007 */ "WEBGL_depth_texture" "\0"
  /* 16027 */ "WEBGL_draw_buffers" "\0"
  /* 16046 */ "WEBGL_explicit_present" "\0"
  /* 16069 */ "WEBGL_lose_context" "\0"
  /* 16088 */ "WEBGL_provoking_vertex" "\0"
  /* 16111 */ "WGSLLanguageFeatures" "\0"
  /* 16132 */ "WakeLock" "\0"
  /* 16141 */ "WakeLockSentinel" "\0"
  /* 16158 */ "WaveShaperNode" "\0"
  /* 16173 */ "WebExtensionContentScript" "\0"
  /* 16199 */ "WebExtensionPolicy" "\0"
  /* 16218 */ "WebGL2RenderingContext" "\0"
  /* 16241 */ "WebGLActiveInfo" "\0"
  /* 16257 */ "WebGLBuffer" "\0"
  /* 16269 */ "WebGLContextEvent" "\0"
  /* 16287 */ "WebGLFramebuffer" "\0"
  /* 16304 */ "WebGLProgram" "\0"
  /* 16317 */ "WebGLQuery" "\0"
  /* 16328 */ "WebGLRenderbuffer" "\0"
  /* 16346 */ "WebGLRenderingContext" "\0"
  /* 16368 */ "WebGLSampler" "\0"
  /* 16381 */ "WebGLShader" "\0"
  /* 16393 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16420 */ "WebGLSync" "\0"
  /* 16430 */ "WebGLTexture" "\0"
  /* 16443 */ "WebGLTransformFeedback" "\0"
  /* 16466 */ "WebGLUniformLocation" "\0"
  /* 16487 */ "WebGLVertexArrayObject" "\0"
  /* 16510 */ "WebKitCSSMatrix" "\0"
  /* 16526 */ "WebSocket" "\0"
  /* 16536 */ "WebTransport" "\0"
  /* 16549 */ "WebTransportBidirectionalStream" "\0"
  /* 16581 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16614 */ "WebTransportError" "\0"
  /* 16632 */ "WebTransportReceiveStream" "\0"
  /* 16658 */ "WebTransportSendStream" "\0"
  /* 16681 */ "WebrtcGlobalInformation" "\0"
  /* 16705 */ "WheelEvent" "\0"
  /* 16716 */ "Window" "\0"
  /* 16723 */ "WindowClient" "\0"
  /* 16736 */ "WindowContext" "\0"
  /* 16750 */ "WindowGlobalChild" "\0"
  /* 16768 */ "WindowGlobalParent" "\0"
  /* 16787 */ "WindowRoot" "\0"
  /* 16798 */ "Worker" "\0"
  /* 16805 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16831 */ "WorkerGlobalScope" "\0"
  /* 16849 */ "WorkerLocation" "\0"
  /* 16864 */ "WorkerNavigator" "\0"
  /* 16880 */ "WorkerTestUtils" "\0"
  /* 16896 */ "Worklet" "\0"
  /* 16904 */ "WorkletGlobalScope" "\0"
  /* 16923 */ "WritableStream" "\0"
  /* 16938 */ "WritableStreamDefaultController" "\0"
  /* 16970 */ "WritableStreamDefaultWriter" "\0"
  /* 16998 */ "XMLDocument" "\0"
  /* 17010 */ "XMLHttpRequest" "\0"
  /* 17025 */ "XMLHttpRequestEventTarget" "\0"
  /* 17051 */ "XMLHttpRequestUpload" "\0"
  /* 17072 */ "XMLSerializer" "\0"
  /* 17086 */ "XPathEvaluator" "\0"
  /* 17101 */ "XPathExpression" "\0"
  /* 17117 */ "XPathResult" "\0"
  /* 17129 */ "XRBoundedReferenceSpace" "\0"
  /* 17153 */ "XRFrame" "\0"
  /* 17161 */ "XRInputSource" "\0"
  /* 17175 */ "XRInputSourceArray" "\0"
  /* 17194 */ "XRInputSourceEvent" "\0"
  /* 17213 */ "XRInputSourcesChangeEvent" "\0"
  /* 17239 */ "XRPose" "\0"
  /* 17246 */ "XRReferenceSpace" "\0"
  /* 17263 */ "XRReferenceSpaceEvent" "\0"
  /* 17285 */ "XRRenderState" "\0"
  /* 17299 */ "XRRigidTransform" "\0"
  /* 17316 */ "XRSession" "\0"
  /* 17326 */ "XRSessionEvent" "\0"
  /* 17341 */ "XRSpace" "\0"
  /* 17349 */ "XRSystem" "\0"
  /* 17358 */ "XRView" "\0"
  /* 17365 */ "XRViewerPose" "\0"
  /* 17378 */ "XRViewport" "\0"
  /* 17389 */ "XRWebGLLayer" "\0"
  /* 17402 */ "XSLTProcessor" "\0"
  /* 17416 */ "XULCommandEvent" "\0"
  /* 17432 */ "XULElement" "\0"
  /* 17443 */ "XULFrameElement" "\0"
  /* 17459 */ "XULMenuElement" "\0"
  /* 17474 */ "XULPopupElement" "\0"
  /* 17490 */ "XULResizerElement" "\0"
  /* 17508 */ "XULTextElement" "\0"
  /* 17523 */ "XULTreeElement" "\0"
  /* 17538 */ "console" "\0"
  /* 17546 */ "webkitSpeechGrammar" "\0"
  /* 17566 */ "webkitSpeechGrammarList" "\0"
  /* 17590 */ "webkitSpeechRecognition" "\0"
  /* 17614 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

